package controllers;

import java.net.URL;
import java.util.Date;
import java.util.Map;
import java.util.ResourceBundle;

import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.scene.control.TableView;
import javafx.scene.layout.Pane;
import parsers.AtgParser;

public class V4TabController extends AtgController {

	@FXML Pane V4ButtonPane;
	@FXML Pane V4ResultPane;
	@FXML private TableView<Map<String, Object>> racesTable;

	ObservableList<Map<String, Object>> tableRaces;

	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		super.initialize(arg0, arg1);
		todaysRaces = DatabaseController.getInstance().getTodaysRaces("V4", MainController.DATE_FORMAT.format(new Date()), true);
		updateRacesTable();
	}

	@FXML
	public void GetTodaysRacesAction() {
		//		if (racesTable.getItems().size() <= 0) { // Hämta statistik från ATG för hästnamn och från travsport för data
		AtgParser.getInstance().getTodaysStartsFromATG("V4");
		//		}
		todaysRaces = DatabaseController.getInstance().getTodaysRaces("V4", MainController.DATE_FORMAT.format(new Date()), true);
		updateRacesTable();
	}

}
